## espeak-ng 1.49.1%2bdfsg

=== emscripten/Makefile ===
#
# Copyright (C) 2014-2016 Eitan Isaacson
# Copyright (C) 2016      Alberto Pettarin
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see: <http://www.gnu.org/licenses/>.
#

# NOTE: variables specific to espeak-ng + emscripten starts with "EM_"

# NOTE: set to 1 to debug or to speed emscripten up while developing.
#       If the EM_DEBUG environment variable is set,
#       the value specified here will be ignored.
EM_DEBUG ?= 0
ifneq ($(EM_DEBUG), 1)
    CXXFLAGS+=-O3
endif



###############################################################################
# WARNING: modify code below this line at your own risk!
###############################################################################

# NOTE: sanity check
ifndef EMSCRIPTEN
    $(error EMSCRIPTEN var not set. You must use emmake to run this Makefile!)
endif

# NOTE: in the emscripten virtual FS,
#       this is the location of the eSpeak-ng data files,
#       if we configure with "./configure --prefix=/usr"
EM_VIRTUAL_PATH_ESPEAKNG_DATA=/usr/share/espeak-ng-data

# NOTE: emmake will replace EMSCRIPTEN with the actual root directory
#       of the emscripten tools inside the emscripten SDK directory
EM_WEBIDL_BINDER=python $(EMSCRIPTEN)/tools/webidl_binder.py
EM_FILE_PACKAGER=python $(EMSCRIPTEN)/tools/file_packager.py

# NOTE: libespeak-ng.so compiled to LLVM IR code
EM_LIBESPEAKNG_SO=../src/.libs/libespeak-ng.so

# NOTE: glue code files
EM_GLUE_PREFIX=glue
EM_GLUE_IDL=espeakng_glue.idl
EM_GLUE_OBJ=espeakng_glue.o
EM_GLUE_CPP=espeakng_glue.cpp
EM_GLUE_AUTOGEN_CPP=glue.cpp
EM_GLUE_AUTOGEN_JS=glue.js

# NOTE: preload espeak-ng-data directory...
EM_DATA_DIR=../espeak-ng-data
# NOTE: ... but exclude these subdirectories/files
EM_EXCLUDE_DATA=../espeak-ng-data/mbrola_ph ../espeak-ng-data/phondata-manifest

# NOTE: pre/post JS files
EM_PRE_JS=pre.js
EM_POST_JS=post.js

# NOTE: output files
EM_ESPEAKNG_DATA_PACKAGE_JS=espeakng_data_package.js
EM_WORKER_DATA=js/espeakng.worker.data
EM_WORKER_JS=js/espeakng.worker.js
EM_PTHREAD_MAIN_JS=js/pthread-main.js

# NOTE: intermediate objects 
EM_OBJS=$(EM_GLUE_OBJ) $(EM_LIBESPEAKNG_SO)
EM_ALL_PRE_JS=$(EM_PRE_JS) $(EM_ESPEAKNG_DATA_PACKAGE_JS)
EM_ALL_POST_JS=$(EM_GLUE_AUTOGEN_JS) $(EM_POST_JS)

# NOTE: compile without async, i.e. with synchronous output
#
# ./emconfigure ./configure --prefix=/usr --without-async
# ./emmake make
CXXFLAGS+=-DESPEAK_DATA_PATH=\"$(EM_VIRTUAL_PATH_ESPEAKNG_DATA)\" 
CXXFLAGS+=-I ./ -I ../ -I ../src/include/espeak-ng 

# NOTE: so far, pthread is not supported in any browser
#       except Firefox Nightly.
#       If we want to enable pthread in the future,
#       we must append "-s USE_PTHREADS=1" to CXXFLAGS
#       and pass that to emconfigure and emmake.
#       If enabled, js/pthread-main.js will be created as well.
#
#CXXFLAGS+=-s USE_PTHREADS=1

# NOTE: extra flags for emscripten
EM_CXXFLAGS=-s RESERVED_FUNCTION_POINTERS=2 --memory-init-file 0



###############################################################################
# NOTE: actual targets
###############################################################################

all: $(EM_WORKER_JS)

$(EM_WORKER_DATA):
	$(EM_FILE_PACKAGER) $@ \
        --js-output=$(EM_ESPEAKNG_DATA_PACKAGE_JS) \
        --preload $(EM_DATA_DIR)@$(EM_VIRTUAL_PATH_ESPEAKNG_DATA) \
        $(patsubst %,--exclude %,$(EM_EXCLUDE_DATA))

$(EM_ESPEAKNG_DATA_PACKAGE_JS): $(EM_WORKER_DATA)

$(EM_GLUE_AUTOGEN_CPP): $(EM_GLUE_IDL)
	$(EM_WEBIDL_BINDER) $(EM_GLUE_IDL) $(EM_GLUE_PREFIX) 

$(EM_GLUE_AUTOGEN_JS): $(EM_GLUE_AUTOGEN_CPP)

$(EM_GLUE_OBJ): $(EM_GLUE_CPP)

$(EM_WORKER_JS): $(EM_GLUE_AUTOGEN_CPP) $(EM_OBJS) $(EM_ALL_PRE_JS) $(EM_ALL_POST_JS)
	$(CXX) $(CXXFLAGS) \
        $(EM_CXXFLAGS) \
        $(EM_OBJS) \
        $(patsubst %,--pre-js %,$(EM_ALL_PRE_JS)) \
        $(patsubst %,--post-js %,$(EM_ALL_POST_JS)) \
        -o $@

clean-intermediate:
	rm -f *.o *.out *.pkl $(EM_GLUE_AUTOGEN_CPP) $(EM_GLUE_AUTOGEN_JS) $(EM_ESPEAKNG_DATA_PACKAGE_JS)

clean: clean-intermediate
	rm -f $(EM_WORKER_DATA) $(EM_WORKER_JS) $(EM_PTHREAD_MAIN_JS)

help:
	echo "Available targets: all clean clean-intermediate help"

## espeak-ng 1.49.0+dfsg

=== debian/changelog ===
espeak-ng (1.49.0+dfsg-11) unstable; urgency=medium

  * patches/bufsize: Increasing the buffersize to 60ms brought back some
    overlapping. Revert this to 49ms, which both avoids overlapping, and
    was tested to work fine with all MBROLA voices.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Jun 2017 22:04:57 +0200

espeak-ng (1.49.0+dfsg-10) unstable; urgency=medium

  * patches/bufsize: Increase buffersize to 60ms like upstream did, to fix using
    MBROLA voices (Closes: Bug#860891).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Apr 2017 16:32:54 +0200

espeak-ng (1.49.0+dfsg-9) unstable; urgency=medium

  * control: Add version to libespeak-ng-libespeak1 Provides
    (Closes: Bug#859949).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Apr 2017 23:05:00 +0200

espeak-ng (1.49.0+dfsg-8) unstable; urgency=medium

  * control: Fix libespeak-ng-libespeak1 dependency on libespeak-ng1, thanks
    Andreas Beckmann (Closes: Bug#857523)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Mar 2017 13:00:59 +0100

espeak-ng (1.49.0+dfsg-7) unstable; urgency=medium

  * control: Fix Vcs and Homepage fields, thanks Jeremy Bicha for the notice
    (Closes: Bug#851484).
  * patches/git-reactivity: Drop part of patch which was reverted upstream.
  * patches/fix-cancel: Close audio on cancel like espeak used to do, to make
    sure audio cards don't keep PCM in buffers.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Jan 2017 03:01:06 +0100

espeak-ng (1.49.0+dfsg-6) unstable; urgency=medium

  * patches/bufsize: Reduce buffer size to improve interactivity when the
    audio output gets stuck.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Jan 2017 03:41:38 +0100

espeak-ng (1.49.0+dfsg-5) unstable; urgency=medium

  * patches/monotonous: Work-around monotonous speech issue with brltty
    (Closes: Bug#848158).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 10 Jan 2017 23:14:24 +0100

espeak-ng (1.49.0+dfsg-4) unstable; urgency=medium

  * patches/git-reactivity: Complete with more upstream fixes for reactivity.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Jan 2017 23:32:08 +0100

espeak-ng (1.49.0+dfsg-3) unstable; urgency=medium

  * patches/reproducible: Make build reproducible by fixing uninitialized
    values.
  * patches/git-reactivity: cherry-pick upstream fix for reactivity
    (Closes: Bug#848016)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Dec 2016 16:11:13 +0100

espeak-ng (1.49.0+dfsg-2) unstable; urgency=medium

  * control: Update Uploaders.
  * patches/big-endian: Fix build on big-endian archs.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 09 Nov 2016 00:37:35 +0100

espeak-ng (1.49.0+dfsg-1) unstable; urgency=medium

  * New fork release (Closes: Bug#836800)
  * patches: Remove all patches except path, and refresh it.
  * patches/ieee: Fix ieee80.c build.
  * control: Rename packages to espeak-ng. Add espeak-ng-espeak,
    libespeak-ng-espeak1, and libespeak-ng-espeak-dev compatibility
    packages. Add dh-autoreconf, dh-exec, ruby-ronn, ruby-kramdown
    build-dependencies, replace portaudio19-dev and libpulse-dev dependency
    with libpcaudio-dev.
  * watch: Switch to espeak-ng;
  * docs,copyright,espeak-ng.doc-base: update.
  * clean, dirs: drop.
  * rules: Almost drop everything.
  * espeak.1, manpages: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Sep 2016 01:05:00 +0200

espeak (1.48.04+dfsg-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #836690)
    + Pass triplet-prefixed CXX to make

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 19:42:23 +0200

espeak (1.48.04+dfsg-4) unstable; urgency=medium

  * patches/path: Drop looking for voices in /usr/share/mbrola/voices: our
    Debian packages never put voices there, and letting espeak look there
    would show a warning to the user that suggests that voices should be put
    there, which is not the case in Debian.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 18:29:54 +0200

espeak (1.48.04+dfsg-3) unstable; urgency=medium

  * patches/char_cast: New patch, fixes build with g++-6 (Closes: Bug#811772).
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * control: Bump Standards-Version to 3.9.8 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 May 2016 23:59:25 +0200

espeak (1.48.04+dfsg-2) unstable; urgency=medium

  * watch: Generalize URL.
  * Bump Standards-Version to 3.9.6 (no changes).
  * espeak.1: Update, thus adding -g and -z documentation. Closes: Bug#788190.
  * patches/fpic: Patch from upstream to fix sparc64 build.
  * compat: Bump to 9.
  * rules: Use dh.
  * control: Drop hardening-wrapper build-depend.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 20:30:50 +0100

espeak (1.48.04+dfsg-1) unstable; urgency=medium

  * Rebuild upstream tarball without windows platform files.
  * watch: Mangle version for +dfsg.
  * copyright: Add portaudio and sonic licences. Closes: Bug#747214.
  * Remove libespeak1-udeb, we will continue linking espeakup statically.
    Closes: Bug#747240.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Jul 2014 12:04:40 +0200

espeak (1.48.04-1) unstable; urgency=medium

  * New upstream release
  * copyright: Update.
  * patches/utf-8-init: Refresh.
  * rules: Fix privacy-breach-logo.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 May 2014 19:05:04 +0200

espeak (1.47.11-2) unstable; urgency=medium

  * Add libespeak1-udeb shared library for the installer, so it can be
    upgraded at the same time as libespeak-data.

  * libespeak1.shlibs: Remove file, replaced by dh_makeshlibs call.
  * Remove pulse-trigger-on-final-chunk, it actually does not have effect.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Feb 2014 00:50:40 -0500

espeak (1.47.11-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: espeak-ng
Section: sound
Priority: optional
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/espeak-ng.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/espeak-ng.git/
Homepage: https://github.com/espeak-ng/espeak-ng
Build-Depends: debhelper (>= 9.20150628), dh-autoreconf, dh-exec,
 libpcaudio-dev, libsonic-dev,
 ruby-ronn, ruby-kramdown
Standards-Version: 3.9.8

Package: espeak-ng
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-lingual software speech synthesizer
 eSpeak NG is a software speech synthesizer for English, and some other
 languages.
 .
 eSpeak NG produces good quality English speech. It uses a different synthesis
 method from other open source text to speech (TTS) engines, and sounds quite
 different. It's perhaps not as natural or "smooth", but some find the
 articulation clearer and easier to listen to for long periods.
 .
 It can run as a command line program to speak text from a file or from stdin.
 .
   * Includes different Voices, whose characteristics can be altered.
   * Can produce speech output as a WAV file.
   * Can translate text to phoneme codes, so it could be adapted as a front end
     for another speech synthesis engine.
   * Potential for other languages. More than 80 languages are included.
   * Compact size.
   * Written in C.

Package: espeak-ng-espeak
Architecture: any
Multi-Arch: foreign
Provides: espeak
Conflicts: espeak
Depends: ${shlibs:Depends}, espeak-ng, ${misc:Depends}
Description: Multi-lingual software speech synthesizer
 eSpeak NG is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains compatibility links that makes it a drop-in replacement
 for the espeak package.  Installing this package thus allows one to make
 applications calling the /usr/bin/espeak program use eSpeak NG without any
 modification or rebuild.

Package: espeak-ng-data
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Multi-lingual software speech synthesizer: speech data files
 eSpeak NG is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains necessary synthesizer data files needed
 for the espeak-ng program and the shared library.

Package: espeak-ng-data-udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}
Package-Type: udeb
Description: Multi-lingual software speech synthesizer: data for d-i
 eSpeak NG is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains necessary synthesizer data files needed
 for the espeak-ng program, and the shared library, packed for the Debian
 Installer.

Package: libespeak-ng1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, espeak-ng-data (= ${binary:Version})
Description: Multi-lingual software speech synthesizer: shared library
 eSpeak NG is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains the espeak NG program in a shared library.

Package: libespeak-ng-libespeak1
Architecture: any
Section: libs
Multi-Arch: same
Provides: libespeak1 (= 1.48.04+dfsg)
Conflicts: libespeak1
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libespeak-ng1 (= ${binary:Version})
Description: Multi-lingual software speech synthesizer: shared library
 eSpeak NG is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains compatibility links that makes it a drop-in replacement
 for the libespeak1 package.  Installing this package thus allows one to make
 applications linked against libespeak1 use eSpeak NG without any modification
 or rebuild.

Package: libespeak-ng-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libespeak-ng1 (= ${binary:Version})
Description: Multi-lingual software speech synthesizer: development files
 eSpeak NG is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains the eSpeak NG development files needed to
 build against the espeak-ng shared library.

Package: libespeak-ng-libespeak-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Provides: libespeak-dev (= 1.48.04+dfsg)
Conflicts: libespeak-dev
Depends: ${misc:Depends}, libespeak-ng-dev (= ${binary:Version})
Description: Multi-lingual software speech synthesizer: development files
 eSpeak NG is a software speech synthesizer for English, and some other
 languages.
 .
 This package contains compatibility links that makes it a drop-in replacement
 for the libespeak-dev package.  Building against this package thus allows one
 to migrate to using eSpeak NG without any source code change.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk
DATADIR = /usr/lib/$(DEB_HOST_MULTIARCH)/espeak-ng-data

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --with-extdict-ru --with-extdict-zh --with-extdict-zhy

override_dh_auto_build:
	dh_auto_build -- DATADIR=$(DATADIR)
	LC_ALL=C.UTF-8 $(MAKE) docs

override_dh_auto_install:
	dh_auto_install -- DATADIR=$(DATADIR)

override_dh_install:
	dh_install
	cp -al $(CURDIR)/debian/espeak-ng-data/usr $(CURDIR)/debian/espeak-ng-data-udeb
	rm -fr $(CURDIR)/debian/espeak-ng-data-udeb$(DATADIR)/mbrola* $(CURDIR)/debian/espeak-ng-data-udeb$(DATADIR)/voices/mb $(CURDIR)/debian/espeak-ng-data-udeb/usr/share

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// https://github.com/espeak-ng/espeak-ng/releases .*/v?(\d\S*)\.tar\.gz

## espeak-ng 1.49.1+dfsg

=== debian/changelog ===
espeak-ng (1.49.1+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * control: Update maintainer mailing list.

  [ Paul Gevers ]
  * Upload to 1.49.1+dfsg to unstable
  * Improve watch file
  * Refresh patches

 -- Paul Gevers <elbrus@debian.org>  Wed, 12 Jul 2017 20:46:10 +0200

espeak-ng (1.49.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - patches/{ieee,git-unary,git-ewmh,big-endian,reproducible,
    git-reactivity,bufsize}: Remove, merged upstream.
    - rules: Disable dh_auto_test, upstream uses it only for android.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Apr 2017 17:00:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: espeak-ng
 Section: sound
 Priority: optional
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/espeak-ng.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/espeak-ng.git/

## espeak-ng 1.49.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper (>= 9.20150628), dh-autoreconf, dh-exec,
  libpcaudio-dev, libsonic-dev,
  ruby-ronn, ruby-kramdown
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 
 Package: espeak-ng
 Architecture: any

## espeak-ng 1.49.2+dfsg

=== emscripten/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-# Copyright (C) 2014-2016 Eitan Isaacson
-# Copyright (C) 2016      Alberto Pettarin
+# Copyright (C) 2014-2017 Eitan Isaacson
+# Copyright (C) 2016-2017 Alberto Pettarin
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -23,7 +23,7 @@
 #       the value specified here will be ignored.
 EM_DEBUG ?= 0
 ifneq ($(EM_DEBUG), 1)
-    CXXFLAGS+=-O3
+	CXXFLAGS+=-O3
 endif
 
 
@@ -34,7 +34,7 @@
 
 # NOTE: sanity check
 ifndef EMSCRIPTEN
-    $(error EMSCRIPTEN var not set. You must use emmake to run this Makefile!)
+	$(error EMSCRIPTEN var not set. You must use emmake to run this Makefile!)
 endif
 
 # NOTE: in the emscripten virtual FS,
@@ -47,8 +47,14 @@
 EM_WEBIDL_BINDER=python $(EMSCRIPTEN)/tools/webidl_binder.py
 EM_FILE_PACKAGER=python $(EMSCRIPTEN)/tools/file_packager.py
 
-# NOTE: libespeak-ng.so compiled to LLVM IR code
-EM_LIBESPEAKNG_SO=../src/.libs/libespeak-ng.so
+# NOTE: libespeak-ng.so (Linux) or libespeak-ng.dylib (macOS) compiled to LLVM IR code
+EM_LIBESPEAKNG_SO=$(wildcard ../src/.libs/libespeak-ng.so)
+EM_LIBESPEAKNG_DYLIB=$(wildcard ../src/.libs/libespeak-ng.dylib)
+ifneq ($(EM_LIBESPEAKNG_DYLIB),)
+	EM_LIBESPEAKNG=$(EM_LIBESPEAKNG_DYLIB)
+else ifneq ($(EM_LIBESPEAKNG_SO),)
+	EM_LIBESPEAKNG=$(EM_LIBESPEAKNG_SO)
+endif
 
 # NOTE: glue code files
 EM_GLUE_PREFIX=glue
@@ -73,8 +79,7 @@
 EM_WORKER_JS=js/espeakng.worker.js
 EM_PTHREAD_MAIN_JS=js/pthread-main.js
 
-# NOTE: intermediate objects 
-EM_OBJS=$(EM_GLUE_OBJ) $(EM_LIBESPEAKNG_SO)
+# NOTE: intermediate objects
 EM_ALL_PRE_JS=$(EM_PRE_JS) $(EM_ESPEAKNG_DATA_PACKAGE_JS)
 EM_ALL_POST_JS=$(EM_GLUE_AUTOGEN_JS) $(EM_POST_JS)
 
@@ -82,8 +87,8 @@
 #
 # ./emconfigure ./configure --prefix=/usr --without-async
 # ./emmake make
-CXXFLAGS+=-DESPEAK_DATA_PATH=\"$(EM_VIRTUAL_PATH_ESPEAKNG_DATA)\" 
-CXXFLAGS+=-I ./ -I ../ -I ../src/include/espeak-ng 
+CXXFLAGS+=-DESPEAK_DATA_PATH=\"$(EM_VIRTUAL_PATH_ESPEAKNG_DATA)\"
+CXXFLAGS+=-I ./ -I ../ -I ../src/include/espeak-ng
 
 # NOTE: so far, pthread is not supported in any browser
 #       except Firefox Nightly.
@@ -107,26 +112,30 @@
 
 $(EM_WORKER_DATA):
 	$(EM_FILE_PACKAGER) $@ \
-        --js-output=$(EM_ESPEAKNG_DATA_PACKAGE_JS) \
-        --preload $(EM_DATA_DIR)@$(EM_VIRTUAL_PATH_ESPEAKNG_DATA) \
-        $(patsubst %,--exclude %,$(EM_EXCLUDE_DATA))
+		--js-output=$(EM_ESPEAKNG_DATA_PACKAGE_JS) \
+		--preload $(EM_DATA_DIR)@$(EM_VIRTUAL_PATH_ESPEAKNG_DATA) \
+		$(patsubst %,--exclude %,$(EM_EXCLUDE_DATA))
 
 $(EM_ESPEAKNG_DATA_PACKAGE_JS): $(EM_WORKER_DATA)
 
 $(EM_GLUE_AUTOGEN_CPP): $(EM_GLUE_IDL)
-	$(EM_WEBIDL_BINDER) $(EM_GLUE_IDL) $(EM_GLUE_PREFIX) 
+	$(EM_WEBIDL_BINDER) $(EM_GLUE_IDL) $(EM_GLUE_PREFIX)
 
 $(EM_GLUE_AUTOGEN_JS): $(EM_GLUE_AUTOGEN_CPP)
 
 $(EM_GLUE_OBJ): $(EM_GLUE_CPP)
 
-$(EM_WORKER_JS): $(EM_GLUE_AUTOGEN_CPP) $(EM_OBJS) $(EM_ALL_PRE_JS) $(EM_ALL_POST_JS)
+$(EM_WORKER_JS): $(EM_GLUE_AUTOGEN_CPP) $(EM_GLUE_OBJ) $(EM_ALL_PRE_JS) $(EM_ALL_POST_JS)
+ifeq ($(EM_LIBESPEAKNG),)
+	$(error Unable to find ../src/.libs/libespeak-ng .so or .dylib. Aborting!)
+endif
 	$(CXX) $(CXXFLAGS) \
-        $(EM_CXXFLAGS) \
-        $(EM_OBJS) \
-        $(patsubst %,--pre-js %,$(EM_ALL_PRE_JS)) \
-        $(patsubst %,--post-js %,$(EM_ALL_POST_JS)) \
-        -o $@
+		$(EM_CXXFLAGS) \
+		$(EM_GLUE_OBJ) \
+		$(EM_LIBESPEAKNG) \
+		$(patsubst %,--pre-js %,$(EM_ALL_PRE_JS)) \
+		$(patsubst %,--post-js %,$(EM_ALL_POST_JS)) \
+		-o $@
 
 clean-intermediate:
 	rm -f *.o *.out *.pkl $(EM_GLUE_AUTOGEN_CPP) $(EM_GLUE_AUTOGEN_JS) $(EM_ESPEAKNG_DATA_PACKAGE_JS)

=== debian/changelog ===
espeak-ng (1.49.2+dfsg-8) unstable; urgency=medium

  * patches/fix-cancel: Do not open audio when audio speak mode is not
    enabled.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Nov 2018 00:01:43 +0100

espeak-ng (1.49.2+dfsg-7) unstable; urgency=medium

  * nocancel: Fix hang on cancellation of threads holding mutexes.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 Nov 2018 11:02:44 +0100

espeak-ng (1.49.2+dfsg-6) unstable; urgency=medium

  * rules: Fix binary-indep build, thanks Santiago Vila for the notice.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 Oct 2018 01:28:37 +0200

espeak-ng (1.49.2+dfsg-5) unstable; urgency=medium

  * control: Make espeak-ng-espeak Architecture: all.
  * control: Bump Standards-Version to 4.2.0 (no changes).
  * tests/control: Compare autopkgtest output against reference.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Oct 2018 18:28:28 +0200

espeak-ng (1.49.2+dfsg-4) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.5 (no changes).
  * patches/lessgreat-punct: Upstream fix for punctuation classification
    (Closes: Bug#902347).
  * tests/control: Add autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Jul 2018 09:37:47 +0200

espeak-ng (1.49.2+dfsg-3) unstable; urgency=medium

  * control: Replace ruby-ronn build-dep with ronn (Closes: Bug#903057).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Jul 2018 01:43:39 +0200

espeak-ng (1.49.2+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4 (no changes).
  * patches/out_of_bound: Fix out of bound access
  * patches/audio_reopen: Try to reopen audio device on each text synth, so
    that e.g. busy cards don't prevent future text synth.
  * patches/privacy: Remove external img URLs from README.html

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 May 2018 21:24:54 +0200

espeak-ng (1.49.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/monotonous: Drop patch, fixed upstream.
  * control: Bump Standards-Version to 4.1.1.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jan 2018 00:29:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Homepage: https://github.com/espeak-ng/espeak-ng
 Build-Depends: debhelper (>= 9.20150628), dh-autoreconf, dh-exec,
  libpcaudio-dev, libsonic-dev,
- ruby-ronn, ruby-kramdown
-Standards-Version: 4.1.1
+ ronn, ruby-kramdown
+Standards-Version: 4.2.0
 
 Package: espeak-ng
 Architecture: any
@@ -35,7 +35,7 @@
    * Written in C.
 
 Package: espeak-ng-espeak
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
 Provides: espeak
 Conflicts: espeak

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,13 @@
 	dh_auto_build -- DATADIR=$(DATADIR)
 	LC_ALL=C.UTF-8 $(MAKE) docs
 
+override_dh_auto_test:
+	true
+
 override_dh_auto_install:
 	dh_auto_install -- DATADIR=$(DATADIR)
 
 override_dh_install:
 	dh_install
-	cp -al $(CURDIR)/debian/espeak-ng-data/usr $(CURDIR)/debian/espeak-ng-data-udeb
+	[ ! -d $(CURDIR)/debian/espeak-ng-data/usr ] || cp -al $(CURDIR)/debian/espeak-ng-data/usr $(CURDIR)/debian/espeak-ng-data-udeb
 	rm -fr $(CURDIR)/debian/espeak-ng-data-udeb$(DATADIR)/mbrola* $(CURDIR)/debian/espeak-ng-data-udeb$(DATADIR)/voices/mb $(CURDIR)/debian/espeak-ng-data-udeb/usr/share

## espeak-ng 1.50%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: espeak-ng
 Section: sound
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/espeak-ng.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/espeak-ng.git/
+Vcs-Browser: https://salsa.debian.org/a11y-team/espeak-ng
+Vcs-Git: https://salsa.debian.org/a11y-team/espeak-ng.git
 Homepage: https://github.com/espeak-ng/espeak-ng
-Build-Depends: debhelper (>= 9.20150628), dh-autoreconf, dh-exec,
+Build-Depends: debhelper-compat (= 13), dh-exec,
  libpcaudio-dev, libsonic-dev,
- ronn, ruby-kramdown
-Standards-Version: 4.2.0
+ ronn, kramdown
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 
 Package: espeak-ng
 Architecture: any

## espeak-ng 1.50+dfsg

=== debian/changelog ===
espeak-ng (1.50+dfsg-7+deb11u1) bullseye; urgency=medium

  * patches/even-delay: Drop spurious 50ms delay while processing events, this
    adds potentially very long latency to canceling speech.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 13 Feb 2022 02:41:25 +0100

espeak-ng (1.50+dfsg-7) unstable; urgency=medium

  * patches/no-common: Fix build with gcc-10 (Closes: Bug#957181).
  * control: Update alioth list domain.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Bump debhelper compat to 12.
  * rules: Disable parallel build.
  * rules: Create $(CURDIR)/debian/espeak-ng-data-udeb ourself.
  * debian/not-installed: Record that we intentionally don't install .la files.
  * control: Drop now-unused dh-autoreconf build-dep.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Aug 2020 01:26:35 +0200

espeak-ng (1.50+dfsg-6) unstable; urgency=medium

  * control: Build-depend on kramdown instead of ruby-kramdown
    (Closes: #949562).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 Jan 2020 18:24:00 +0100

espeak-ng (1.50+dfsg-5) unstable; urgency=medium

  * patches/fix-tests-bash: Fix running tests with /bin/sh being bash.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Jan 2020 15:30:24 +0100

espeak-ng (1.50+dfsg-4) unstable; urgency=medium

  * greek-rules: Add missing greek rules, fixes build on some archs.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 04 Dec 2019 09:40:35 +0100

espeak-ng (1.50+dfsg-3) unstable; urgency=medium

  * rules: Do not set ESPEAK_DATA_PATH, Makefile actually sets it (but
    wrongly).
  * patches/ESPEAK_DATA_PATH: Fix setting ESPEAK_DATA_PATH.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Dec 2019 22:50:17 +0100

espeak-ng (1.50+dfsg-2) unstable; urgency=medium

  * rules: Set ESPEAK_DATA_PATH to source directory during tests
    (Closes: Bug#946052).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Dec 2019 22:02:21 +0100

espeak-ng (1.50+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #915201)
    - patches/audio_reopen: Upstreamed.
    - patches/lessgreat-punct: Upstreamed.
    - patches/out_of_bound: Upstreamed.
    - patches/nocancel: Upstreamed.
    - patches/fix-cancel: Refreshed.
    - patches/privacy: Refreshed.
  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.
  * rules: Re-enable tests.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Dec 2019 01:48:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: espeak-ng
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://salsa.debian.org/a11y-team/espeak-ng
 Vcs-Git: https://salsa.debian.org/a11y-team/espeak-ng.git
 Homepage: https://github.com/espeak-ng/espeak-ng
-Build-Depends: debhelper-compat (= 13), dh-exec,
+Build-Depends: debhelper-compat (= 12), dh-exec,
  libpcaudio-dev, libsonic-dev,
  ronn, kramdown
-Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.5.0
 
 Package: espeak-ng
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,8 @@
 DATADIR = /usr/lib/$(DEB_HOST_MULTIARCH)/espeak-ng-data
 
 %:
-	dh $@ --with autoreconf
+	# The build doesn't work in parallel
+	dh $@ --with autoreconf --no-parallel
 
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
@@ -17,13 +18,11 @@
 	dh_auto_build -- DATADIR=$(DATADIR)
 	LC_ALL=C.UTF-8 $(MAKE) docs
 
-override_dh_auto_test:
-	true
-
 override_dh_auto_install:
 	dh_auto_install -- DATADIR=$(DATADIR)
 
 override_dh_install:
 	dh_install
+	mkdir $(CURDIR)/debian/espeak-ng-data-udeb
 	[ ! -d $(CURDIR)/debian/espeak-ng-data/usr ] || cp -al $(CURDIR)/debian/espeak-ng-data/usr $(CURDIR)/debian/espeak-ng-data-udeb
 	rm -fr $(CURDIR)/debian/espeak-ng-data-udeb$(DATADIR)/mbrola* $(CURDIR)/debian/espeak-ng-data-udeb$(DATADIR)/voices/mb $(CURDIR)/debian/espeak-ng-data-udeb/usr/share

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// https://github.com/espeak-ng/espeak-ng/releases .*/.*-@ANY_VERSION@@ARCHIVE_EXT@

## espeak-ng 1.51+dfsg

=== debian/changelog ===
espeak-ng (1.51+dfsg-9~bpo11+1) bullseye-backports; urgency=medium

  * Backport to bullseye.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 23 Sep 2022 00:13:49 +0200

espeak-ng (1.51+dfsg-9) unstable; urgency=medium

  * watch: Add watching Tags as well.
  * patches/mb-fr: Fix confusion between mbrola-fr1 and mbrola-fr4.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 21:03:12 +0200

espeak-ng (1.51+dfsg-8) unstable; urgency=medium

  * patches/lang: Fix testsuite under various locales.
  * rules: Fix time of patched md files.
  * patches/long-build-path: ssml: Use a larger buffer.
  * patches/i386: Actually fix i386-specific behavior.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Jul 2022 23:49:39 +0200

espeak-ng (1.51+dfsg-7) unstable; urgency=medium

  * patches/big-endian: Fix loading wav files on big-endian architectures.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Apr 2022 10:49:44 +0200

espeak-ng (1.51+dfsg-6) unstable; urgency=medium

  * tests/control: Enable fuzz test on supported archs only.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Apr 2022 14:44:42 +0200

espeak-ng (1.51+dfsg-5) unstable; urgency=medium

  * rules: Disable speechplayer for now.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Apr 2022 18:24:54 +0200

espeak-ng (1.51+dfsg-4) unstable; urgency=medium

  * patches/32bits: Make specific to i386, the issue is apparently
    i386-specific.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Apr 2022 16:09:19 +0200

espeak-ng (1.51+dfsg-3) unstable; urgency=medium

  * patches/big-endian,32bits: Add expected 32bit and big-endian results
    instead of ignoring the discrepancy.
  * patches/CI: Ignore false positive on CI.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Apr 2022 14:13:30 +0200

espeak-ng (1.51+dfsg-2) unstable; urgency=medium

  * patches/big-endian: Avoid some tests on big-endian archs.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Apr 2022 04:15:44 +0200

espeak-ng (1.51+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/path: Drop, upstream now shows all paths.
    - patches/bufsize: Refresh.
    - patches/privacy: Refresh.
    - patches/greek-rules: Drop, merged upstream.
    - patches/fix-tests-bash: Drop, merged upstream.
    - patches/no-common: Drop, merged upstream.
    - patches/nbsp: Drop, merged upstream.
    - patches/mbrola-lang: Drop, merged upstream.
    - patches/x: Merged upstream, replace with...
    - patches/x: ... avoiding checking +x in debian/.
    - patches/event-delay: Drop, merged upstream.
    - patches/parallel: Drop upstream patch.
    - patches/windows: New patch to drop windows installer test.
    - tests/fuzz: Fix fuzz run.
    - rules: Drop now-default enabling extdicts.
    - tests/tests: Run testsuite.
    - patches/32bits: Avoid some tests on 32bit archs.
  * tests/: Add fuzzing test.
  * patches/parallel: Fix parallel build.
  * rules: Enable parallel build.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Apr 2022 00:35:08 +0200

espeak-ng (1.50+dfsg-10) unstable; urgency=medium

  * control: Bump Standards-Version to 4.6.0 (no change)
  * patches/even-delay: Drop spurious 50ms delay while processing events, this
    adds potentially very long latency to canceling speech.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 13 Feb 2022 02:41:25 +0100

espeak-ng (1.50+dfsg-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Samuel Thibault ]
  * patches/nbsp: Avoid non-ascii files.
  * patches/mbrola-lang: Fix portuguese and french voices priorities.
  * patches/x: Drop spurious +x permission.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Dec 2021 11:59:57 +0100

espeak-ng (1.50+dfsg-8) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure),
    Name (from ./configure), Repository, Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update watch file format version to 4.

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * rules: Keep mbrola data.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Aug 2021 13:42:47 +0200

=== debian/tests/control ===
Depends: espeak-ng
Test-Command: espeak-ng "Hello, world!" --stdout > $AUTOPKGTEST_TMP/output.wav && diff $AUTOPKGTEST_TMP/output.wav debian/tests/output.wav

Tests: fuzz
Architecture: amd64 arm64 i386
Depends: @builddeps@, clang, libespeak-ng-dev

Tests: tests
Depends: @builddeps@

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$// https://github.com/espeak-ng/espeak-ng/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
opts=dversionmangle=s/\+dfsg$// https://github.com/espeak-ng/espeak-ng/releases .*/.*-@ANY_VERSION@@ARCHIVE_EXT@

## espeak-ng 1.52.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)

project(espeak-ng
  VERSION 1.52.0
  DESCRIPTION "open source speech synthesizer that supports more than hundred languages and accents"
  HOMEPAGE_URL "https://github.com/espeak-ng/espeak-ng"
)

include(CTest)

include(cmake/deps.cmake)
include(cmake/config.cmake)
add_subdirectory(src)
include(cmake/data.cmake)
include(cmake/docs.cmake)

include(cmake/package.cmake)
include(CPack)

include(CTest)
add_subdirectory(tests)

option(BUILD_SHARED_LIBS "Build shared libraries" OFF)

message(STATUS "Configuration:")
message(STATUS "  shared: ${BUILD_SHARED_LIBS}")
message(STATUS "  mbrola: ${USE_MBROLA} (${MBROLA_BIN})")
message(STATUS "  libsonic: ${USE_LIBSONIC} (${SONIC_LIB} ${SONIC_INC})")
message(STATUS "  libpcaudio: ${USE_LIBPCAUDIO} (${PCAUDIO_LIB} ${PCAUDIO_INC})")
message(STATUS "  klatt: ${USE_KLATT}")
message(STATUS "  speech-player: ${USE_SPEECHPLAYER}")
message(STATUS "  async: ${USE_ASYNC}")

install(
  DIRECTORY vim/ftdetect vim/syntax DESTINATION share/vim/vimfiles
)

=== src/CMakeLists.txt ===
add_library(espeak-include INTERFACE)
target_include_directories(espeak-include INTERFACE include include/compat)

add_subdirectory(ucd-tools)
add_subdirectory(speechPlayer)
add_subdirectory(libespeak-ng)

add_executable(espeak-ng-bin espeak-ng.c)
set_target_properties(espeak-ng-bin PROPERTIES OUTPUT_NAME espeak-ng)
target_link_libraries(
  espeak-ng-bin PRIVATE espeak-ng espeak-ng-config
)
set_target_properties(
  espeak-ng-bin PROPERTIES
  MACOSX_RPATH ON
  INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib"
)
if (MINGW)
  target_link_options(espeak-ng-bin PRIVATE "-static-libstdc++" "-static")
endif()
if (MSVC)
  target_sources(espeak-ng-bin PRIVATE compat/getopt.c)
endif()
if (NOT WIN32)
  add_custom_target(
    speak-ng ALL
    COMMAND ${CMAKE_COMMAND} -E create_symlink espeak-ng ${CMAKE_CURRENT_BINARY_DIR}/speak-ng
    COMMAND ${CMAKE_COMMAND} -E create_symlink espeak-ng ${CMAKE_CURRENT_BINARY_DIR}/espeak
    COMMAND ${CMAKE_COMMAND} -E create_symlink espeak-ng ${CMAKE_CURRENT_BINARY_DIR}/speak
    COMMENT "Link espeak-ng to compat names"
    DEPENDS espeak-ng-bin
  )
endif()
install(TARGETS espeak-ng-bin)
install(DIRECTORY include/espeak include/espeak-ng TYPE INCLUDE)

if (ESPEAK_COMPAT AND NOT WIN32)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/speak-ng DESTINATION bin)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/espeak DESTINATION bin)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/speak DESTINATION bin)
endif()

=== android/jni/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)

project(espeak-android)

add_subdirectory(../../ espeakng)

add_custom_target(
        espeak-data
        COMMAND ${CMAKE_COMMAND} -B${CMAKE_CURRENT_BINARY_DIR}/../espeak-data ${CMAKE_CURRENT_SOURCE_DIR}/../../
        COMMAND ${CMAKE_COMMAND} --build ${CMAKE_CURRENT_BINARY_DIR}/../espeak-data --target data
        COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_BINARY_DIR}/../espeak-data/espeak-ng-data ${CMAKE_SOURCE_DIR}/../build/generated/espeak-ng-data
)

message(STATUS "Data: ${CMAKE_CURRENT_SOURCE_DIR}")

find_library(A_LOG log)

add_library(ttsespeak SHARED
        jni/eSpeakService.c
        )
target_include_directories(ttsespeak PRIVATE
        include
)
target_link_libraries(ttsespeak PRIVATE
        espeak-ng ${A_LOG}
)

=== src/libespeak-ng/CMakeLists.txt ===
set(ESPEAK_CONFIG_DIR ${CMAKE_CURRENT_BINARY_DIR}/include)
set(ESPEAK_CONFIG_H ${ESPEAK_CONFIG_DIR}/config.h)
configure_file(config.h.in ${ESPEAK_CONFIG_H})

add_library(espeak-ng-config INTERFACE)
target_include_directories(espeak-ng-config INTERFACE ${ESPEAK_CONFIG_DIR})

add_library(espeak-ng
  common.c
  mnemonics.c
  error.c
  ieee80.c

  compiledata.c
  compiledict.c

  dictionary.c
  encoding.c
  intonation.c
  langopts.c
  numbers.c
  phoneme.c
  phonemelist.c
  readclause.c
  setlengths.c
  soundicon.c
  spect.c
  ssml.c
  synthdata.c
  synthesize.c
  tr_languages.c
  translate.c
  translateword.c
  voices.c
  wavegen.c
  speech.c

  espeak_api.c
)
set_target_properties(
  espeak-ng PROPERTIES
  MACOSX_RPATH ON
  INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib"
)

target_include_directories(espeak-ng BEFORE PRIVATE $<TARGET_PROPERTY:espeak-include,INTERFACE_INCLUDE_DIRECTORIES>)

if (NOT MSVC)
  target_compile_options(espeak-ng PRIVATE
    "-fPIC"
    "-fvisibility=hidden"
    "-fno-exceptions"
    "-fwrapv"

    "-pedantic"

    "-Wunused-parameter"
    "-Wunused"
    "-Wuninitialized"
    "-Wreturn-type"
    "-Wmissing-prototypes"
    "-Wint-conversion"
    "-Wimplicit"
    "-Wmisleading-indentation"
  )
endif()
target_compile_definitions(espeak-ng PRIVATE "LIBESPEAK_NG_EXPORT=1")
if (NOT BUILD_SHARED_LIBS)
  target_compile_definitions(espeak-ng INTERFACE "LIBESPEAK_NG_EXPORT=1")
endif()

target_compile_definitions(espeak-ng PRIVATE "PATH_ESPEAK_DATA=\"${CMAKE_INSTALL_PREFIX}/share/espeak-ng-data\"")

if (USE_ASYNC)
  target_sources(espeak-ng PRIVATE
    event.c
    fifo.c
    espeak_command.c
  )
endif(USE_ASYNC)

if (USE_MBROLA)
  target_sources(espeak-ng PRIVATE
    mbrowrap.c
    compilembrola.c
    synth_mbrola.c
  )
endif(USE_MBROLA)

if (USE_KLATT)
  target_sources(espeak-ng PRIVATE klatt.c)
endif(USE_KLATT)

if (USE_SPEECHPLAYER)
  target_sources(espeak-ng PRIVATE sPlayer.c)
  target_link_libraries(espeak-ng PRIVATE speechPlayer)
endif(USE_SPEECHPLAYER)

if (HAVE_LIBSONIC AND USE_LIBSONIC)
  target_link_libraries(espeak-ng PRIVATE ${SONIC_LIB})
  target_include_directories(espeak-ng PRIVATE ${SONIC_INC})
endif()

if (HAVE_LIBPCAUDIO AND USE_LIBPCAUDIO)
  target_link_libraries(espeak-ng PRIVATE ${PCAUDIO_LIB})
  target_include_directories(espeak-ng PRIVATE ${PCAUDIO_INC})
endif()

target_link_libraries(espeak-ng PRIVATE espeak-ng-config ucd)
if (NOT MSVC)
  target_link_libraries(espeak-ng PRIVATE m)
endif()
target_link_libraries(espeak-ng PUBLIC espeak-include)

if ((MINGW OR WIN32 OR MSVC) AND BUILD_SHARED_LIBS)
  set_target_properties(espeak-ng PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ..
  )
endif()

if (MINGW)
  target_link_options(espeak-ng PRIVATE "-static-libstdc++" "-static")
endif()

set_target_properties(espeak-ng PROPERTIES
  SOVERSION ${PROJECT_VERSION_MAJOR}
  VERSION ${PROJECT_VERSION}
)

install(TARGETS espeak-ng LIBRARY)

=== src/speechPlayer/CMakeLists.txt ===
add_library(speechPlayer STATIC
  src/frame.cpp
  src/speechPlayer.cpp
  src/speechWaveGenerator.cpp
)
target_include_directories(speechPlayer PUBLIC include)
if(NOT MSVC)
  target_compile_options(speechPlayer PRIVATE "-fPIC")
endif()

=== src/ucd-tools/CMakeLists.txt ===
add_library(ucd STATIC
  src/case.c
  src/categories.c
  src/ctype.c
  src/proplist.c
  src/scripts.c
  src/tostring.c
)
# enable PIC in order to embed libucd.a in a .so
set_property(TARGET ucd PROPERTY POSITION_INDEPENDENT_CODE ON)

target_include_directories(ucd PUBLIC src/include)

=== debian/changelog ===
espeak-ng (1.52.0+dfsg-5~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 04 Apr 2025 08:35:12 +0200

espeak-ng (1.52.0+dfsg-5) unstable; urgency=medium

  * patches/piper: Port upstream addition of
    espeak_TextToPhonemesWithTerminator for piper (Closes: Bug#1100093)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Mar 2025 23:12:35 +0200

espeak-ng (1.52.0+dfsg-4) unstable; urgency=medium

  * patches/espeak-stdin: Fix dropping last byte of stdin input.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 Dec 2024 00:17:25 +0100

espeak-ng (1.52.0+dfsg-3) unstable; urgency=medium

  * patches/libsonic-bigendian: Fix libsonic usage on big-endian.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 16 Dec 2024 00:57:05 +0100

espeak-ng (1.52.0+dfsg-2) unstable; urgency=medium

  * patches/klatt-garbage: Fix garbage in klatt case, detected on big-endian
    archs.
  * patches/bufsize: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Dec 2024 23:53:21 +0100

espeak-ng (1.52.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/CVE: Upstreamed.
    - patches/big-endian: Upstreamed.
    - patches/bom: Upstreamed.
    - patches/fix-ssml-voice-select-mbrola: Upstreamed.
    - patches/i386: Upstreamed.
    - patches/lang: Upstreamed.
    - patches/long-build-path: Upstreamed.
    - patches/mb-fr: Upstreamed.
    - patches/noopen: Upstreamed.
    - patches/windows: Now useless.
    - patches/bufsize: Refresh.
    - patches/nocard: Avoid test part that requires an audio card.
    - test-patches/use_system_espeak_ng: Refresh.
    - patches/clang-target: Fix getting target cpu.
    - patches/fuzz-link: Fix linking tests_ssml_fuzzer_test with libfuzzer.
    - patches/th_dict: Fix generating th_dict.
    - patches/compile-reproducibility: Fix reproducibility of compilation.
  * tests/fuzz: Always unpatch on exit.
  * patches/noopen: Do not create audio out if not required.
  * patches/fix-ssml-voice-select-mbrola: Fix mbrola voice selection in
    ssml.
  * watch: Only watch tags, releases get published in diverse ways.
  * gbp.conf: Filter out src/windows automatically.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 13 Dec 2024 01:51:31 +0100

espeak-ng (1.51+dfsg-12) unstable; urgency=medium

  * patches/bom: Avoid detecting bom in bom patch itself.
  * patches/CVE: Fix CVE-2023-49990, CVE-2023-49991, CVE-2023-49992,
    CVE-2023-49993, CVE-2023-49994 (Closes: Bug#1059060)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Dec 2023 01:26:02 +0100

espeak-ng (1.51+dfsg-11) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/bom: Fix spurious bom character.
  * clean: Clean generated files (Closes: Bug#1044811)
  * patches/privacy: Fix another image ref.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Aug 2023 22:57:44 +0200

espeak-ng (1.51+dfsg-10) unstable; urgency=medium

  * watch: Use API instead of releases page.
  * tests/control: Build-depend on libclang-rt-dev (Closes: Bug#1029556).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 26 Jan 2023 01:09:47 +0100

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$// https://github.com/espeak-ng/espeak-ng/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
